{ config, lib, ... }:

{
  networking = {
    useNetworkd = true;
    hostName = "backstage";
    hostId = "0ccd2304";
  };

  systemd.network = {
    enable = true;
    links = {
      "enp1s0" = {
        enable = true;
        matchConfig = {
          Type = "ether";
          MACAddress = "9c:6b:00:8d:d0:8f";
        };
        linkConfig = {
          Name = "enp1s0";
          NamePolicy = "";
        };
      };
      "enp2s0f0" = {
        enable = true;
        matchConfig = {
          Type = "ether";
          MACAddress = "90:e2:ba:2e:ea:70";
        };
        linkConfig.MTUBytes = "9710";
       };
      "enp2s0f1" = {
        enable = true;
        matchConfig = {
          Type = "ether";
          MACAddress = "90:e2:ba:2e:ea:71";
        };
        linkConfig.MTUBytes = "9710";
       };
    };
    networks = {
      "enp1s0" = {
        matchConfig.Name = "enp1s0";
        DHCP = "yes";
      };
    };
    netdevs = {

    };
  };
}
